## org.hibernate.engine.jdbc.internal
Class TypeInfoExtracter

    java.lang.Object
      org.hibernate.engine.jdbc.internal.TypeInfoExtracter

    public class TypeInfoExtracter

extends Object

Helper to extract type information from `JDBC metadata`

Method Summary
`static LinkedHashSet<TypeInfo>` `extractTypeInfo(DatabaseMetaData metaData)` Perform the extraction

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### extractTypeInfo

    public static LinkedHashSet<TypeInfo> extractTypeInfo(DatabaseMetaData metaData)

  Perform the extraction

  Parameters:
    `metaData` - The JDBC metadata
  Returns:
    The extracted metadata

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.